<template>
  <div class="col-12">
    <router-link :to="{path:'new'}" append>
      <button class="btn btn-info float-right but">Nouvelle Entree</button>
    </router-link>
    <h2 class="float-left">
      Trésorerie: {{total}}
    </h2>
    <table class="table table-hover">
      <thead>
        <tr>
          <th>CA</th>
          <th>CB</th>
          <th>FP</th>
          <th>FAP</th>
          <th>Actions</th>
        </tr>
      </thead>
      <tbody>
        <tr v-for="treso in tresos">
          <td>{{treso.ca}}</td>
          <td>{{treso.cb}}</td>
          <td>{{treso.fp}}</td>
          <td>{{treso.fap}}</td>
          <td>
            <router-link :to="{ path:treso._id+ '/edit'}" append>
              <button class="btn btn-info">Modifier</button>
            </router-link>
          </td>
        </tr>
      </tbody>
    </table>

  </div>
</template>

<script>
export default {

  computed: {
    tresos() {
      return this.$store.getters.getAllTresos;
    },
    total(){
      if(this.tresos){
        let totals = 0;
        this.tresos.forEach(function(t) {
          totals += parseInt(t.cb)+parseInt(t.fp)-parseInt(t.fap);
        });
        return totals / this.tresos.length;
      }
      return 0;
    }
  },

  created: function() {
    this.$store.dispatch("setAllTresos");
  }

}
</script>

<style scoped>
.but {
  margin-bottom: 50px;
}
</style>
